﻿@font-face {
    font-family: 'fontawesome-alloy';
    src: url("./font/fontawesome-alloy.eot");
    src: url("./font/fontawesome-alloy.eot?#iefix") format("embedded-opentype"), url("./font/fontawesome-alloy.woff") format("woff"), url("./font/fontawesome-alloy.ttf") format("truetype"), url("./font/fontawesome-alloy.svg#fontawesome-alloy") format("svg");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'brunel';
    src: url("./fonts/icomoon/bcc.eot?ocupuc");
    src: url("./fonts/icomoon/bcc.eot?#iefixocupuc") format("embedded-opentype"), url("./fonts/icomoon/bcc.woff?ocupuc") format("woff"), url("./fonts/icomoon/bcc.ttf?ocupuc") format("truetype"), url("./fonts/icomoon/bcc.svg?ocupuc#bcc") format("svg");
    /* Legacy iOS */
    font-weight: normal;
    font-style: normal;
}

.digitalplace-wrapper nav a, .digitalplace-wrapper .related-content-list-widget li.related-asset-entry nav a, .digitalplace-wrapper .related-content-list-widget li.related-asset-entry nav a:visited {
    color: white;
    text-decoration: none;
}

#wrapper {
    padding-top: 0;
    padding-bottom: 0;
    position: relative;
}

.navbar {
    padding: 10px;
}

.digitalplace-wrapper form .form-select {
    border-width: 2px;
    border-color: #666666;
    border-radius: 0;
    background-color: #FFFFFF;
    box-shadow: inset #eaeaea 0 2px 0 0;
}

.digitalplace-wrapper form .form-control, .digitalplace-wrapper .portlet-forms .form-select {
    box-shadow: none;
    border-color: #333333;
    height: 3rem;
    font-size: 1.1875rem;
}


.digitalplace-wrapper nav a:hover, .digitalplace-wrapper .related-content-list-widget li.related-asset-entry nav a:hover, .digitalplace-wrapper .related-content-list-widget li.related-asset-entry nav a:visited:hover {
    color: white;
}

.form-group.required label:after {
    content: " *";
    color: var(--bs-danger);
    font-weight: bold;
}

#sessionTimeoutWarning {
    display: none;
}

/* Prevent hidden file upload element from receiving the focus when tabbing through page controls */
.jc-ui-igupload input[type=file] {
    display: none;/* !important;*/
}

/* Dorset overrides */
.digitalplace-wrapper form .form-control.is-invalid, 
.digitalplace-wrapper .portlet-forms .form-select.isinvalid,

    input.is-invalid,
    textarea.is-invalid,
    select.is-invalid,
    form-control.is-invalid {
        border-color: #DA1414;
    }

.digitalplace-wrapper #footer .footer-rights.powered-by {
    bottom: -28.5px;
}

/* Correct uploaded document font-size */
.table {
    font-size: inherit;
}

.digitalplace-wrapper .btn-primary.jc-btn-print {
    padding-right: 25px;
}

    .digitalplace-wrapper .btn-primary.jc-btn-print::after {
        content: ""
    }

.jc-ui-igupload .ui-widget {
    font-family: inherit;
}

    .jc-ui-igupload .ui-igupload-button-clear-all {
        font-size: 1.1875rem !important;
    }
    /* Make HTML input element transparent */
    .jc-ui-igupload input[type=file]:not(:focus) {
        background-color: transparent !important;
        border-color: transparent !important;
        color: transparent !important;
    }
    /* Interaction states
----------------------------------*/
    .jc-ui-igupload .ui-state-default,
    .jc-ui-igupload .ui-widget-content .ui-state-default,
    .jc-ui-igupload .ui-widget-header .ui-state-default {
        background-color: #c7d530 !important;
        border: none;
        color: #333;
    }

    .jc-ui-igupload .ui-state-hover,
    .jc-ui-igupload .ui-widget-content .ui-state-hover,
    .jc-ui-igupload .ui-widget-header .ui-state-hover {
        background-color: #adb928;
    }

    .jc-ui-igupload .ui-state-focus,
    .jc-ui-igupload .ui-widget-content .ui-state-focus,
    .jc-ui-igupload .ui-widget-header .ui-state-focus {
        outline: none;
        box-shadow: 0 0 0 3px #FF9600;
    }

    .jc-ui-igupload .ui-button .ui-button-text {
        padding: 0;
    }

    .jc-ui-igupload .ui-button {
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        font-size: 1.1875rem;
        font-family: inherit;
        font-weight: 700;
        position: relative;
        box-shadow: none;
    }

    .jc-ui-igupload .ui-igbutton {
        padding: 13.5px 25px 13.5px 25px;
        display: inline-block;
        /*text-align: left;*/
        text-decoration: none;
        vertical-align: middle;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
        transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }
        /*.jc-ui-igupload .ui-igbutton .ui-button-text {
            color: #333;
        }*/

        .jc-ui-igupload .ui-igbutton.ui-button.ui-state-default,
        .jc-ui-igupload .ui-igstartupbrowsebutton.ui-button.ui-state-default,
        .jc-ui-igupload .ui-igupload-browsebutton.ui-button.ui-state-default {
            background-color: #c7d530;
            border: none;
            border-radius: 3px;
            color: #333;
        }

            .jc-ui-igupload .ui-igbutton.ui-button.ui-state-default .ui-button-text,
            .jc-ui-igupload .ui-igstartupbrowsebutton.ui-button.ui-state-default .ui-button-text,
            .jc-ui-igupload .ui-igupload-browsebutton.ui-button.ui-state-default .ui-button-text {
                color: #333;
            }

        .jc-ui-igupload .ui-igbutton.ui-button.ui-state-hover,
        .jc-ui-igupload .ui-igstartupbrowsebutton.ui-button.ui-state-hover,
        .jc-ui-igupload .ui-igupload-browsebutton.ui-button.ui-state-hover,
        .jc-ui-igupload .ui-igbutton.ui-button.ui-state-focus,
        .jc-ui-igupload .ui-igstartupbrowsebutton.ui-button.ui-state-focus,
        .jc-ui-igupload .ui-igupload-browsebutton.ui-button.ui-state-focus {
            background-color: #adb928 !important;
            /*border-color: var(--mid-green);*/
            /*box-shadow: 0 5px 10px -2px rgba(0, 0, 0, 0.5);*/
        }

        .jc-ui-igupload .ui-igbutton.ui-button.ui-state-focus,
        .jc-ui-igupload .ui-igstartupbrowsebutton.ui-button.ui-state-focus,
        .jc-ui-igupload .ui-igupload-browsebutton.ui-button.ui-state-focus {
            outline: none;
            box-shadow: 0 0 0 3px #FF9600;
        }
    /*.jc-ui-igupload .ui-igbutton.ui-state-hover .ui-button-text,
    .jc-ui-igupload .ui-igstartupbrowsebutton.ui-button.ui-state-hover .ui-button-text,
    .jc-ui-igupload .ui-igupload-browsebutton.ui-button.ui-state-hover .ui-button-text,
    .jc-ui-igupload .ui-igbutton.ui-state-focus .ui-button-text,
    .jc-ui-igupload .ui-igstartupbrowsebutton.ui-button.ui-state-focus .ui-button-text,
    .jc-ui-igupload .ui-igupload-browsebutton.ui-button.ui-state-focus .ui-button-text {
        color: #333;
    }*/

    .jc-ui-igupload .ui-igupload-summary-button {
        width: auto;
    }

    .jc-ui-igupload .ui-igupload-summaryprogressbar {
        margin-right: 122px;
    }

    .jc-ui-igupload .ui-igprogressbar-range {
        background-color: #c7d530 !important;
    }

    /* Required for correct display of document icon */
    .ui-icon::before {
        font-family: jquery-ui, sans-serif;
        vertical-align: baseline;
    }
    
    /* Prevent cancel icon inheriting button styles */
    .jc-ui-igupload .ui-button-icon-only.ui-state-default {
        padding: 0 !important;
        background-color: transparent !important;
        margin-top: 0 !important;
    }

    .jc-ui-igupload .ui-button-icon-only.ui-state-hover {
        background-color: #adb928;
    }

    .jc-ui-igupload .ui-button-icon-only.ui-state-focus {
        outline: none;
        box-shadow: 0 0 0 3px #FF9600;
    }